"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorHandler = void 0;
const logger_1 = require("../logger");
const errorHandler = (err, req, res, _next) => {
    const status = err.status || 500;
    const message = err.error || err.message;
    const error = err.name || 'Error';
    logger_1.logger.log('error', 'An error occurred during the handling of a request', {
        data: { error, status, message, method: req.method, url: req.url },
    });
    res.status(status).send({ error, message });
};
exports.errorHandler = errorHandler;
//# sourceMappingURL=errorHandler.js.map