"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logHandling = void 0;
const express_winston_1 = __importDefault(require("express-winston"));
const logger_1 = require("../logger");
function logHandling(app) {
    app.use(express_winston_1.default.logger({
        winstonInstance: logger_1.logger,
        meta: true,
        expressFormat: true,
        colorize: false,
        ignoreRoute: function (_req, _res) {
            return false;
        },
        requestFilter: (req, propName) => {
            if (propName === 'headers' && req.headers.authorization)
                return {
                    ...req.headers,
                    authorization: 'HIDDEN',
                };
            return req[propName];
        },
    }));
}
exports.logHandling = logHandling;
//# sourceMappingURL=logHandling.js.map