import { JWTPayload } from 'jose';
export * from './errors';
export * from './logger';
export * from './handlers';
export * from './types';
export * from './database/abstractRepository';
export * from './database/abstractDataSource';
import express from 'express';
export declare function parseJwtFromAuthorizationHeader(req: express.Request): string;
export declare function JWTVerify<T, R extends {
    scopes: string[];
}>(options: {
    JWKS_URL: string;
    SECURITY_ISSUER: string;
    SECURITY_AUDIENCE: string;
}, validatePayload: (output: JWTPayload) => output is R, parseJwt: (input: T) => string): (input: T, scopes: string[]) => Promise<R>;
//# sourceMappingURL=index.d.ts.map